autofs-5.1.0-beta1 - fix xfn sets incorrect lexer state

From: Ian Kent <ikent@redhat.com>

The X/Open Federated Naming service isn't supported and the parser will
call YYABORT() when it sees the MAPXFN token so we must set the start
state to the INITIAL state here for the next yylex() call.
---
 CHANGELOG        |    1 +
 lib/master_tok.l |    8 +++++++-
 2 files changed, 8 insertions(+), 1 deletion(-)

diff --git a/CHANGELOG b/CHANGELOG
index c76f9a7..ec38c33 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -15,6 +15,7 @@
 - fix ldap default master map name config.
 - fix map format init in lookup_init().
 - fix incorrect max key length in defaults get_hash().
+- fix xfn sets incorrect lexer state.
 
 28/03/2014 autofs-5.0.9
 =======================
diff --git a/lib/master_tok.l b/lib/master_tok.l
index 835c71d..c692e14 100644
--- a/lib/master_tok.l
+++ b/lib/master_tok.l
@@ -258,7 +258,13 @@ OPTNTOUT	(-n{OPTWS}|-n{OPTWS}={OPTWS}|--negative-timeout{OPTWS}|--negative-timeo
 	}
 
 	"-xfn" {
-		BEGIN(OPTSTR);
+		/*
+		 * The X/Open Federated Naming service isn't supported
+		 * and the parser will call YYABORT() when it sees the
+		 * MAPXFN token so we must set the start state to the
+		 * INITIAL state here for the next yylex() call.
+		 */
+		BEGIN(INITIAL);
 		strcpy(master_lval.strtype, master_text);
 		return MAPXFN;
 	}
